Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`manhole``

module documentation
(source)

Line-input oriented interactive interpreter loop.

Provides classes for handling Python source input and arbitrary output interactively from a Twisted application. Also included is syntax coloring code with support for VT102 terminals, control code handling (^C, ^D, ^Q), and reasonable handling of Deferreds.

Author
Jp Calderone

Class | `ColoredManhole` | A REPL which syntax colors input as users type it.
Class | `FileWrapper` | Minimal write-file-like object.
Class | `Manhole` | Mediator between a fancy line source and an interactive interpreter.
Class | `ManholeInterpreter` | Interactive Interpreter with special output and Deferred support.
Class | `VT102Writer` | Colorizer for Python tokens.
Function | `lastColorizedLine` | Tokenize and colorize the given Python source.
Constant | `CTRL_A` | Undocumented
Constant | `CTRL_BACKSLASH` | Undocumented
Constant | `CTRL_C` | Undocumented
Constant | `CTRL_D` | Undocumented
Constant | `CTRL_E` | Undocumented
Constant | `CTRL_L` | Undocumented

def lastColorizedLine(source): (source)

Tokenize and colorize the given Python source.

Returns a VT102-format colorized version of the last line of `source`.

Parameters
source:`str` or `bytes` | Python source code
Returns
`bytes` of colorized source

CTRL_A: `bytes` = (source)

Undocumented

Value

    b'\x01'

CTRL_BACKSLASH: `bytes` = (source)

Undocumented

Value

    b'\x1c'

CTRL_C: `bytes` = (source)

Undocumented

Value

    b'\x03'

CTRL_D: `bytes` = (source)

Undocumented

Value

    b'\x04'

CTRL_E: `bytes` = (source)

Undocumented

Value

    b'\x05'

CTRL_L: `bytes` = (source)

Undocumented

Value

    b'\x0c'